



ServerType standalone



ServerRoot "/etc/httpd"



LockFile /var/run/httpd.lock



PidFile /var/run/httpd.pid



ScoreBoardFile logs/apache_runtime_status





Timeout 300



KeepAlive Off



MaxKeepAliveRequests 100



KeepAliveTimeout 15



MinSpareServers 5

MaxSpareServers 20



StartServers 8



MaxClients 150



MaxRequestsPerChild 1000









LoadModule vhost_alias_module modules/mod_vhost_alias.so

<IfDefine HAVE_BANDWIDTH>

LoadModule bandwidth_module   modules/mod_bandwidth.so

</IfDefine>

<IfDefine HAVE_THROTTLE>

LoadModule throttle_module    modules/mod_throttle.so

</IfDefine>

LoadModule env_module         modules/mod_env.so

LoadModule config_log_module  modules/mod_log_config.so

LoadModule agent_log_module   modules/mod_log_agent.so

LoadModule referer_log_module modules/mod_log_referer.so

LoadModule mime_module        modules/mod_mime.so

LoadModule negotiation_module modules/mod_negotiation.so

LoadModule status_module      modules/mod_status.so

LoadModule info_module        modules/mod_info.so

LoadModule includes_module    modules/mod_include.so

LoadModule autoindex_module   modules/mod_autoindex.so

LoadModule dir_module         modules/mod_dir.so

LoadModule cgi_module         modules/mod_cgi.so

LoadModule asis_module        modules/mod_asis.so

LoadModule imap_module        modules/mod_imap.so

LoadModule action_module      modules/mod_actions.so

LoadModule userdir_module     modules/mod_userdir.so

LoadModule alias_module       modules/mod_alias.so

LoadModule rewrite_module     modules/mod_rewrite.so

LoadModule access_module      modules/mod_access.so

LoadModule auth_module        modules/mod_auth.so

LoadModule anon_auth_module   modules/mod_auth_anon.so

LoadModule db_auth_module     modules/mod_auth_db.so

LoadModule expires_module     modules/mod_expires.so

LoadModule headers_module     modules/mod_headers.so

LoadModule setenvif_module    modules/mod_setenvif.so

<IfDefine HAVE_PERL>

LoadModule perl_module        modules/libperl.so

</IfDefine>

<IfDefine HAVE_PHP>

LoadModule php_module         modules/mod_php.so

</IfDefine>

<IfDefine HAVE_PHP3>

LoadModule php3_module        modules/libphp3.so

</IfDefine>

<IfDefine HAVE_PHP4>

LoadModule php4_module        modules/libphp4.so

</IfDefine>

<IfDefine HAVE_DAV>

LoadModule dav_module         modules/libdav.so

</IfDefine>

<IfDefine HAVE_ROAMING>

LoadModule roaming_module     modules/mod_roaming.so

</IfDefine>

<IfDefine HAVE_SSL>

LoadModule ssl_module         modules/libssl.so

</IfDefine>

<IfDefine HAVE_PUT>

LoadModule put_module         modules/mod_put.so

</IfDefine>

<IfDefine HAVE_PYTHON>

LoadModule python_module      modules/mod_python.so

</IfDefine>



ClearModuleList

AddModule mod_vhost_alias.c

<IfDefine HAVE_BANDWIDTH>

AddModule mod_bandwidth.c

</IfDefine>

<IfDefine HAVE_THROTTLE>

AddModule mod_throttle.c

</IfDefine>

AddModule mod_env.c

AddModule mod_log_config.c

AddModule mod_log_agent.c

AddModule mod_log_referer.c

AddModule mod_mime.c

AddModule mod_negotiation.c

AddModule mod_status.c

AddModule mod_info.c

AddModule mod_include.c

AddModule mod_autoindex.c

AddModule mod_dir.c

AddModule mod_cgi.c

AddModule mod_asis.c

AddModule mod_imap.c

AddModule mod_actions.c

AddModule mod_userdir.c

AddModule mod_alias.c

AddModule mod_rewrite.c

AddModule mod_access.c

AddModule mod_auth.c

AddModule mod_auth_anon.c

AddModule mod_auth_db.c

AddModule mod_expires.c

AddModule mod_headers.c

AddModule mod_so.c

AddModule mod_setenvif.c

<IfDefine HAVE_PERL>

AddModule mod_perl.c

</IfDefine>

<IfDefine HAVE_PHP>

AddModule mod_php.c

</IfDefine>

<IfDefine HAVE_PHP3>

AddModule mod_php3.c

</IfDefine>

<IfDefine HAVE_PHP4>

AddModule mod_php4.c

</IfDefine>

<IfDefine HAVE_DAV>

AddModule mod_dav.c

</IfDefine>

<IfDefine HAVE_ROAMING>

AddModule mod_roaming.c

</IfDefine>

<IfDefine HAVE_SSL>

AddModule mod_ssl.c

</IfDefine>

<IfDefine HAVE_PUT>

AddModule mod_put.c

</IfDefine>

<IfDefine HAVE_PYTHON>

AddModule mod_python.c

</IfDefine>









Port 80



<IfDefine HAVE_SSL>

Listen 80

Listen 443

</IfDefine>



User apache

Group apache



ServerAdmin root@localhost





DocumentRoot "/var/www/html"



<Directory />

    Options FollowSymLinks

    AllowOverride None

</Directory>





<Directory "/var/www/html">



    Options Indexes FollowSymLinks



    AllowOverride None



    Order allow,deny

    Allow from all

</Directory>



<IfModule mod_userdir.c>

    UserDir www

</IfModule>



<Directory /home/*/www>

    AllowOverride FileInfo AuthConfig Limit

    Options MultiViews Indexes SymLinksIfOwnerMatch IncludesNoExec

    <Limit GET POST OPTIONS PROPFIND>

        Order allow,deny

        Allow from all

    </Limit>

</Directory>



<IfModule mod_dir.c>

    DirectoryIndex index.html index.htm index.shtml index.php index.php4 index.php3 index.phtml index.cgi

</IfModule>



AccessFileName .htaccess



<Files ~ "^\.ht">

    Order allow,deny

    Deny from all

    Satisfy All

</Files>





UseCanonicalName On



<IfModule mod_mime.c>

    TypesConfig /etc/mime.types

</IfModule>



DefaultType text/plain



<IfModule mod_mime_magic.c>

    MIMEMagicFile conf/magic

</IfModule>



HostnameLookups Off



ErrorLog logs/error_log



LogLevel warn



LogFormat "%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-Agent}i\"" combined

LogFormat "%h %l %u %t \"%r\" %>s %b" common

LogFormat "%{Referer}i -> %U" referer

LogFormat "%{User-agent}i" agent



CustomLog logs/access_log combined







ServerSignature On







<IfModule mod_alias.c>



    Alias /icons/ "/var/www/icons/"



    <Directory "/var/www/icons">

        Options Indexes MultiViews

        AllowOverride None

        Order allow,deny

        Allow from all

    </Directory>





    ScriptAlias /cgi-bin/ "/var/www/cgi-bin/"



    <Directory "/var/www/cgi-bin">

        AllowOverride None

        Options None

        Order allow,deny

        Allow from all

    </Directory>



</IfModule>





<IfModule mod_autoindex.c>



    IndexOptions FancyIndexing NameWidth=*



    AddIconByEncoding (CMP,/icons/compressed.gif) x-compress x-gzip



    AddIconByType (TXT,/icons/text.gif) text/*

    AddIconByType (IMG,/icons/image2.gif) image/*

    AddIconByType (SND,/icons/sound2.gif) audio/*

    AddIconByType (VID,/icons/movie.gif) video/*



    AddIcon /icons/binary.gif .bin .exe

    AddIcon /icons/binhex.gif .hqx

    AddIcon /icons/tar.gif .tar

    AddIcon /icons/world2.gif .wrl .wrl.gz .vrml .vrm .iv

    AddIcon /icons/compressed.gif .Z .z .tgz .gz .zip

    AddIcon /icons/a.gif .ps .ai .eps

    AddIcon /icons/layout.gif .html .shtml .htm .pdf

    AddIcon /icons/text.gif .txt

    AddIcon /icons/c.gif .c

    AddIcon /icons/p.gif .pl .py

    AddIcon /icons/f.gif .for

    AddIcon /icons/dvi.gif .dvi

    AddIcon /icons/uuencoded.gif .uu

    AddIcon /icons/script.gif .conf .sh .shar .csh .ksh .tcl

    AddIcon /icons/tex.gif .tex

    AddIcon /icons/bomb.gif core



    AddIcon /icons/back.gif ..

    AddIcon /icons/hand.right.gif README

    AddIcon /icons/folder.gif ^^DIRECTORY^^

    AddIcon /icons/blank.gif ^^BLANKICON^^



    DefaultIcon /icons/unknown.gif





    ReadmeName README

    HeaderName HEADER





</IfModule>



<IfModule mod_mime.c>



    AddEncoding x-compress Z

    AddEncoding x-gzip gz tgz



    AddLanguage da .dk

    AddLanguage nl .nl

    AddLanguage en .en

    AddLanguage et .ee

    AddLanguage fr .fr

    AddLanguage de .de

    AddLanguage el .el

    AddLanguage he .he

    AddCharset ISO-8859-8 .iso8859-8

    AddLanguage it .it

    AddLanguage ja .ja

    AddCharset ISO-2022-JP .jis

    AddLanguage kr .kr

    AddCharset ISO-2022-KR .iso-kr

    AddLanguage nn .nn

    AddLanguage no .no

    AddLanguage pl .po

    AddCharset ISO-8859-2 .iso-pl

    AddLanguage pt .pt

    AddLanguage pt-br .pt-br

    AddLanguage ltz .lu

    AddLanguage ca .ca

    AddLanguage es .es

    AddLanguage sv .se

    AddLanguage cz .cz

    AddLanguage ru .ru

    AddLanguage zh-tw .tw

    AddLanguage tw .tw

    AddCharset Big5         .Big5    .big5

    AddCharset WINDOWS-1251 .cp-1251

    AddCharset CP866        .cp866

    AddCharset ISO-8859-5   .iso-ru

    AddCharset KOI8-R       .koi8-r

    AddCharset UCS-2        .ucs2

    AddCharset UCS-4        .ucs4

    AddCharset UTF-8        .utf8



    <IfModule mod_negotiation.c>

        LanguagePriority en da nl et fr de el it ja kr no pl pt pt-br ru ltz ca es sv tw

    </IfModule>



    AddType application/x-tar .tgz



    <IfModule mod_php4.c>

        AddType application/x-httpd-php .php .php4 .php3 .phtml

        AddType application/x-httpd-php-source .phps

    </IfModule>

    <IfModule mod_php3.c>

        AddType application/x-httpd-php3 .php3

        AddType application/x-httpd-php3-source .phps

    </IfModule>

    <IfModule mod_php.c>

        AddType application/x-httpd-php .phtml

    </IfModule>





    AddType text/html .shtml

    AddHandler server-parsed .shtml





    AddHandler imap-file map





</IfModule>











<IfModule mod_setenvif.c>



    BrowserMatch "Mozilla/2" nokeepalive

    BrowserMatch "MSIE 4\.0b2;" nokeepalive downgrade-1.0 force-response-1.0



    BrowserMatch "RealPlayer 4\.0" force-response-1.0

    BrowserMatch "Java/1\.0" force-response-1.0

    BrowserMatch "JDK/1\.0" force-response-1.0



</IfModule>











Alias /doc/ /usr/share/doc/

<Directory /usr/share/doc>

    order deny,allow

    deny from all

    allow from localhost .localdomain

    Options Indexes FollowSymLinks

</Directory>

























<IfDefine HAVE_SSL>

AddType application/x-x509-ca-cert .crt

AddType application/x-pkcs7-crl    .crl

</IfDefine>



<IfModule mod_ssl.c>



SSLPassPhraseDialog  builtin



SSLSessionCache         dbm:logs/ssl_scache

SSLSessionCacheTimeout  300



SSLMutex  file:logs/ssl_mutex



SSLRandomSeed startup builtin

SSLRandomSeed connect builtin



SSLLog      logs/ssl_engine_log

SSLLogLevel error



</IfModule>



<IfDefine HAVE_SSL>





<VirtualHost _default_:443>



ErrorLog logs/error_log

TransferLog logs/access_log



SSLEngine on





SSLCertificateFile /etc/httpd/conf/ssl.crt/server.crt



SSLCertificateKeyFile /etc/httpd/conf/ssl.key/server.key













<Files ~ "\.(cgi|shtml|phtml|php3?)$">

    SSLOptions +StdEnvVars

</Files>

<Directory "/var/www/cgi-bin">

    SSLOptions +StdEnvVars

</Directory>



SetEnvIf User-Agent ".*MSIE.*" \

         nokeepalive ssl-unclean-shutdown \

         downgrade-1.0 force-response-1.0



CustomLog logs/ssl_request_log \

          "%t %h %{SSL_PROTOCOL}x %{SSL_CIPHER}x \"%r\" %b"



</VirtualHost>                                  



</IfDefine>



